<?php
//+++++
function SUNAT_PRE_VALIDAR($KOD){
	$TDP=gs("id_tip_pag","ventas","id_venta=$KOD");
	/*
	if($TDP!="CO"){
		return "Ruc temporalmente solo valido para venta al CONTADO";
	}
	*/
	$CLI_KOD=gn("id_cliente","ventas","id_venta=$KOD");
	if($CLI_KOD==0){
		return "No se puede determinar el ID del registro activo";
	}
	//
	$CLI_RUC=gs("cli_ruc","clientes","id_cliente=".$CLI_KOD);
	$CLI_TDI=gn("cli_id_tip_doc","clientes","id_cliente=".$CLI_KOD);
	$CLI_NDI=gs("cli_dni","clientes","id_cliente=".$CLI_KOD);
	$Com=gs("COM","vventas_fe","ID=$KOD");
	//
	if($Com=="FACT. ELEC."){
		if(strlen($CLI_RUC)==0){
			return "El cliente no tiene ruc asignado";
		}
		if(strlen($CLI_RUC)!=11){
			return "El ruc debe tener 11 digitos";
		}
	}
	if($Com=="BOL. ELEC."){
		if(strlen($CLI_NDI)==0){
			return "El cliente no tiene un numero de identidad asignado";
		}
		if($CLI_TDI==1){
			if(strlen($CLI_NDI)!=8){
				return "El numero de dni debe tener 8 digitos";
			}
		}
	}
	return "OK";
}
?>